Subject: Re: A PPC kernel issue with UART ??

From: Daniel Ann <[email-masked]>
Date: Wed, 3 Aug 2005 09:21:57 +0900

Johnson,

You know what? I've had the exact same problem only day or two ago. I
think the mail subject was "serial console" or something similar. Have
a read at it.

BTW, My problem was with interrupt setting.
Daniel.

On 8/2/05, JohnsonCheng <[email-masked]> wrote:
> 
> 
> Dear All,
> 
>  
> 
> I meet a wired UART problem on linux-2.6 with MPC8241 chip.
> 
>  
> 
> My Environment is as following: 
> 
> CPU: MPC8241
> 
> Linux: 2.6.12.3
> 
> COM1 offset: 0x4500, COM2 offset: 0x4600
> 
>  
> 
> When I booting my rootfs, it hangs at following message:
> 
> RAMDISK: Compressed image found at block 0
> 
> VFS: Mounted root (ext2 filesystem) readonly.
> 
> Freeing unused kernel memory: 104k init
> 
> EXT2-fs warning: checktime reached, running e2fsck is recommended
> 
>  
> 
> I had add printk in tty_write() of drivers/char/tty_io.c, the message from
> rootfs have printed.
> 
> The conclusion is that message can be printed by printk() in linux kernel,
> but can't be printed by printf() in user mode. I think it must be something
> wrong for my UART configurations, does anybody know it??
> 
>  
> 
>  
> 
> Best Regards,
> 
> Johnson Cheng
> _______________________________________________
> Linuxppc-embedded mailing list
> [email-masked]
> https://ozlabs.org/mailman/listinfo/linuxppc-embedded
> 
> 

-- 
Daniel